com.rscja.deviceapi.interfaces

## Interface IUHFProtocolParseUrx

- All Superinterfaces:
    IUHFProtocolParse
  All Known Implementing Classes:
    UHFProtocolParseUrxByJava_qcom

      public interface IUHFProtocolParseUrx
      extends IUHFProtocolParse

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getAntennaConnectStateSendData()`
    `byte[]` | `getAntSendData()`
    `byte[]` | `getAntWorkTimeSendData(byte antnum)`
    `byte[]` | `getBeepSendData(boolean isOpen)` 获取设置蜂鸣器的发送数据
    `byte[]` | `getIOControlSendData()`
    `byte[]` | `getReaderBeepStatusSendData()`
    `byte[]` | `getReaderDestIpSendData()`
    `byte[]` | `getReaderIpSendData()`
    `byte[]` | `getSetSoftResetSendData()`
    `byte[]` | `getTriggerWorkModeParaSendData()`
    `byte[]` | `getWorkModeSendData()`
    `boolean` | `parseBeepData(byte[] inData)` 解析设置蜂鸣器返回的数据
    `byte[]` | `parseGetAntData(byte[] inData)`
    `java.util.List<AntennaConnectState>` | `parseGetAntennaConnectStateReceiveData(byte[] inData)`
    `int` | `parseGetAntWorkTimeReceiveData(byte[] inData)`
    `byte[]` | `parseGetIOControlReceiveData(byte[] inData)`
    `int` | `parseGetReaderBeepStatusData(byte[] inData)`
    `ReaderIPEntity` | `parseGetReaderDestIpData(byte[] inData)`
    `ReaderIPEntity` | `parseGetReaderIpData(byte[] inData)`
    `int[]` | `parseGetTriggerWorkModeParaReceiveData(byte[] inData)`
    `int` | `parseGetWorkModeReceiveData(byte[] inData)`
    `boolean` | `parseSetAntData(byte[] inData)`
    `boolean` | `parseSetAntWorkTimeReceiveData(byte[] inData)`
    `boolean` | `parseSetIOControlReceiveData(byte[] inData)`
    `boolean` | `parseSetReaderDestIpData(byte[] inData)`
    `boolean` | `parseSetReaderIpData(byte[] inData)`
    `boolean` | `parseSetSoftResetData(byte[] inData)`
    `boolean` | `parseSetTriggerWorkModeParaReceiveData(byte[] inData)`
    `boolean` | `parseSetWorkModeReceiveData(byte[] inData)`
    `byte[]` | `setAntSendData(char saveflag, byte[] antStatus)`
    `byte[]` | `setAntWorkTimeSendData(byte antnum, int WorkTime)`
    `byte[]` | `setIOControlSendData(byte output1, byte output2, byte relayStatus)`
    `byte[]` | `setReaderDestIpSendData(ReaderIPEntity uhfconfig)`
    `byte[]` | `setReaderIpSendData(ReaderIPEntity uhfconfig)`
    `byte[]` | `setTriggerWorkModeParaSendData(int input, int workTime, int waitTime, int receiveMode)`
    `byte[]` | `setWorkModeSendData(int mode)`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFProtocolParse

      `blinkOfLedSendData, blockEraseDataSendData, blockWriteDataSendData, btDeleteAllTagToFlashSendData, btGetAllTagNumFromFlashSendData, btGetNewTagNumFromFlashSendData, btGetTagDataFromFlashSendData, closeLedSendData, GBTagLockSendData, generateLockCode, getBatterySendData, getCWSendData, getEPCTIDModeSendData, getFastIDSendData, getFrequencyModeSendData, getGen2SendData, getInventorySingleTagSendData, getKillSendData, getLockSendData, getPowerSendData, getProtocolSendData, getReaderAwaitSleepTimeSendData, getReadSendData, getReadTagSendData, getRFLinkSendData, getScanBarcodeSendData, getStartInventoryTagSendData, getSTM32VersionSendData, getStopInventorySendData, getTagfocusSendData, getTemperatureSendData, getVersionSendData, getWriteSendData, openLedSendData, parseBarcodeData, parseBatteryData, parseBlinkOfLedData, parseBlockEraseDataData, parseBlockWriteData, parseBtDeleteAllTagToFlashData, parseBtGetAllTagNumFromFlashData, parseBtGetNewTagNumFromFlashData, parseBtGetTagDataFromFlashData, parseCloseLedData, parseContinuousInventoryTagData, parseFastIdData, parseGBTagLockData, parseGetCWData, parseGetEPCTIDModeData, parseGetFastIdData, parseGetFrequencyModeData, parseGetGen2Data, parseGetPowerData, parseGetProtocolData, parseGetReaderAwaitSleepTimeData, parseGetRFLinkData, parseGetTagfocusData, parseInventorySingleTagData, parseKillData, parseLockData, parseOpenLedData, parseReadData, parseReadTagData_EPC, parseSetBeepTimeOfDuration, parseSetCWData, parseSetEPCAndTIDModeData, parseSetEPCAndTIDUserModeData, parseSetEPCModeData, parseSetFilterData, parseSetFrequencyModeData, parseSetGen2Data, parseSetJumpFrequencyData, parseSetPowerData, parseSetPowerOnDynamicData, parseSetProtocolData, parseSetR6WorkModeData, parseSetReaderAwaitSleepTimeData, parseSetRFLinkData, parseSetTagfocusData, parseStartInventoryTagData, parseSTM32VersionData, parseStopInventoryData, parseTemperatureData, parseUHFJump2BootData, parseUHFStartUpdateData, parseUHFStopUpdateData, parseUHFUpdatingData, parseVersionData, parseWriteData, requestGetEx10SDKFirmware, requestGetFastInventoryMode, requestSetFastInventoryMode, responseGetEx10SDKFirmware, responseGetFastInventoryMode, responseSetFastInventoryMode, setBeepTimeOfDurationSendData, setCWSendData, setEPCAndTIDModeSendData, setEPCAndTIDUserModeSendData, setEPCModeSendData, setFastIdSendData, setFilterSendData, setFrequencyModeSendData, setGen2SendData, setJumpFrequencySendData, setPowerOnDynamicSendData, setPowerSendData, setProtocolSendData, setR6WorkmodeSendData, setReaderAwaitSleepTimeSendData, setRFLinkSendData, setTagfocusSendData, uhfJump2BootSendData, uhfStartUpdateSendData, UHFStopUpdateSendData, uhfUpdatingSendData`

- - ### Method Detail

    - #### setReaderIpSendData

          byte[] setReaderIpSendData(ReaderIPEntity uhfconfig)

    - #### parseSetReaderIpData

          boolean parseSetReaderIpData(byte[] inData)

    - #### getReaderIpSendData

          byte[] getReaderIpSendData()

    - #### parseGetReaderIpData

          ReaderIPEntity parseGetReaderIpData(byte[] inData)

    - #### setReaderDestIpSendData

          byte[] setReaderDestIpSendData(ReaderIPEntity uhfconfig)

    - #### parseSetReaderDestIpData

          boolean parseSetReaderDestIpData(byte[] inData)

    - #### getReaderDestIpSendData

          byte[] getReaderDestIpSendData()

    - #### parseGetReaderDestIpData

          ReaderIPEntity parseGetReaderDestIpData(byte[] inData)

    - #### getReaderBeepStatusSendData

          byte[] getReaderBeepStatusSendData()

    - #### parseGetReaderBeepStatusData

          int parseGetReaderBeepStatusData(byte[] inData)

    - #### getBeepSendData

          byte[] getBeepSendData(boolean isOpen)

      获取设置蜂鸣器的发送数据
      Specified by:
        `getBeepSendData` in interface `IUHFProtocolParse`
      Parameters:
        `isOpen` - true:表示打开蜂鸣器， false:表示关闭蜂鸣器
      Returns:
        发送的数据

    - #### parseBeepData

          boolean parseBeepData(byte[] inData)

      解析设置蜂鸣器返回的数据
      Specified by:
        `parseBeepData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 设置蜂鸣器返回的原始数据
      Returns:
        true: 设置成功 ,flase:设置设备

    - #### getSetSoftResetSendData

          byte[] getSetSoftResetSendData()

    - #### parseSetSoftResetData

          boolean parseSetSoftResetData(byte[] inData)

    - #### setAntSendData

          byte[] setAntSendData(char saveflag,
                                byte[] antStatus)

    - #### parseSetAntData

          boolean parseSetAntData(byte[] inData)

    - #### getAntSendData

          byte[] getAntSendData()

    - #### parseGetAntData

          byte[] parseGetAntData(byte[] inData)

    - #### setAntWorkTimeSendData

          byte[] setAntWorkTimeSendData(byte antnum,
                                        int WorkTime)

    - #### parseSetAntWorkTimeReceiveData

          boolean parseSetAntWorkTimeReceiveData(byte[] inData)

    - #### getAntWorkTimeSendData

          byte[] getAntWorkTimeSendData(byte antnum)

    - #### parseGetAntWorkTimeReceiveData

          int parseGetAntWorkTimeReceiveData(byte[] inData)

    - #### getWorkModeSendData

          byte[] getWorkModeSendData()

    - #### parseGetWorkModeReceiveData

          int parseGetWorkModeReceiveData(byte[] inData)

    - #### setWorkModeSendData

          byte[] setWorkModeSendData(int mode)

    - #### parseSetWorkModeReceiveData

          boolean parseSetWorkModeReceiveData(byte[] inData)

    - #### setTriggerWorkModeParaSendData

          byte[] setTriggerWorkModeParaSendData(int input,
                                                int workTime,
                                                int waitTime,
                                                int receiveMode)

    - #### parseSetTriggerWorkModeParaReceiveData

          boolean parseSetTriggerWorkModeParaReceiveData(byte[] inData)

    - #### getTriggerWorkModeParaSendData

          byte[] getTriggerWorkModeParaSendData()

    - #### parseGetTriggerWorkModeParaReceiveData

          int[] parseGetTriggerWorkModeParaReceiveData(byte[] inData)

    - #### getIOControlSendData

          byte[] getIOControlSendData()

    - #### parseGetIOControlReceiveData

          byte[] parseGetIOControlReceiveData(byte[] inData)

    - #### setIOControlSendData

          byte[] setIOControlSendData(byte output1,
                                      byte output2,
                                      byte relayStatus)

    - #### parseSetIOControlReceiveData

          boolean parseSetIOControlReceiveData(byte[] inData)

    - #### getAntennaConnectStateSendData

          byte[] getAntennaConnectStateSendData()

    - #### parseGetAntennaConnectStateReceiveData

          java.util.List<AntennaConnectState> parseGetAntennaConnectStateReceiveData(byte[] inData)